org.vishia.gral.ifc

## Class GralFont

- java.lang.Object
- - org.vishia.gral.ifc.GralFont

-     public final class GralFont
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `fontImpl` The font-instance for the implementation can be set from the implementation with the necessary type to minimize the effort in dynamic instances.
    `static java.lang.String` | `fontMonospacedSansSerif`
    `static java.lang.String` | `fontMonospacedSerif`
    `static java.lang.String` | `fontMonospacedSmall`
    `java.lang.String` | `fontName`
    `private static java.util.Map<java.lang.String,GralFont>` | `fonts`
    `static java.lang.String` | `fontSansSerif`
    `static java.lang.String` | `fontSerif`
    `int` | `size` The size of the font in points.
    `char` | `style` The style of the font.
    `static char` | `styleBold`
    `static char` | `styleBoldItalic`
    `static char` | `styleItalic`
    `static char` | `styleNormal`
    `static char` | `typeMonospaced` Some types of fonts.
    `static char` | `typeSansSerif` Some types of fonts.
    `static char` | `typeSerif` Some types of fonts.
    `static char` | `typeSmallMonospaced` Some types of fonts.
    `static int` | `version` Version, history and license.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralFont(java.lang.String fontName, int size, char style)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static GralFont` | `getFont(java.lang.String fontName, int size, char style)` Not yet ready.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### fontImpl

          public java.lang.Object fontImpl

      The font-instance for the implementation can be set from the implementation with the necessary type to minimize the effort in dynamic instances.

    - #### fontMonospacedSansSerif

          public static final java.lang.String fontMonospacedSansSerif

      See Also:
        Constant Field Values

    - #### fontMonospacedSmall

          public static final java.lang.String fontMonospacedSmall

      See Also:
        Constant Field Values

    - #### fontMonospacedSerif

          public static final java.lang.String fontMonospacedSerif

      See Also:
        Constant Field Values

    - #### fontSansSerif

          public static final java.lang.String fontSansSerif

      See Also:
        Constant Field Values

    - #### fontSerif

          public static final java.lang.String fontSerif

      See Also:
        Constant Field Values

    - #### typeSmallMonospaced

          public static final char typeSmallMonospaced

      Some types of fonts.
      See Also:
        Constant Field Values

    - #### typeMonospaced

          public static final char typeMonospaced

      Some types of fonts.
      See Also:
        Constant Field Values

    - #### typeSansSerif

          public static final char typeSansSerif

      Some types of fonts.
      See Also:
        Constant Field Values

    - #### typeSerif

          public static final char typeSerif

      Some types of fonts.
      See Also:
        Constant Field Values

    - #### styleNormal

          public static final char styleNormal

      See Also:
        Constant Field Values

    - #### styleItalic

          public static final char styleItalic

      See Also:
        Constant Field Values

    - #### styleBoldItalic

          public static final char styleBoldItalic

      See Also:
        Constant Field Values

    - #### styleBold

          public static final char styleBold

      See Also:
        Constant Field Values

    - #### fontName

          public java.lang.String fontName

    - #### size

          public int size

      The size of the font in points.

    - #### style

          public char style

      The style of the font.
      - b bold
      - i italic

    - #### fonts

          private static java.util.Map<java.lang.String,GralFont> fonts

  - ### Constructor Detail

    - #### GralFont

          public GralFont(java.lang.String fontName,
                          int size,
                          char style)

  - ### Method Detail

    - #### getFont

          protected static GralFont getFont(java.lang.String fontName,
                                            int size,
                                            char style)

      Not yet ready. Therefore protected yet.
      Parameters:
        `fontName` -
        `size` - Use the grid size!
        `style` -
      Returns: